# Get Link URL

Gets the address of the specified `<a>` element

#### Selector

* [Selector](/guides/selectors.md) for the link element

#### Store result in variable

* Name of the variable to store the link URL

#### Use blank text if element is missing

* If selected, Browserflow will use an empty string as the result if the element does not exist
  * By default, Browserflow will wait for the element to appear and exit with an error if the element cannot be found
* This is useful when an element appears inconsistently (e.g. when looping through a list of elements where some elements contain a link but others don't)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/extract-data/get-link-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
